Safe Haskell | Safe

PromotedTypes

# Documentation

data RevList a #

Constructors

RNil |
(RevList a) :> a |

data Pattern :: [*] -> * where #

Constructors

Nil :: Pattern '[] |
Cons :: Maybe h -> Pattern t -> Pattern (h ': t) |

data RevPattern :: RevList * -> * where #

Constructors

RevNil :: RevPattern RNil |
RevCons :: Maybe h -> RevPattern t -> RevPattern (t :> h) |

data Tuple :: (*, *) -> * where #

Constructors

Tuple :: a -> b -> Tuple '(a, b) |